# Record TCefAcceleratedPaintInfo

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefAcceleratedPaintInfo = record`

## Description

Structure containing shared texture information for the OnAcceleratedPaint callback. Resources will be released to the underlying pool for reuse when the callback returns from client code.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_accelerated_paint_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_mac.h">CEF source file: /include/internal/cef_types_mac.h (cef_accelerated_paint_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_linux.h">CEF source file: /include/internal/cef_types_linux.h (cef_accelerated_paint_info_t))

## Overview

### Fields

| `size: NativeUInt;`
| `shared_texture_handle: TCefSharedTextureHandle;`
| `format: TCefColorType;`
| `extra: TCefAcceleratedPaintInfoCommon;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `shared_texture_handle: TCefSharedTextureHandle;`
Handle for the shared texture. The shared texture is instantiated without a keyed mutex.

| `format: TCefColorType;`
The pixel format of the texture.

| `extra: TCefAcceleratedPaintInfoCommon;`
The extra common info.

Generated by PasDoc 0.16.0-snapshot.